POST
/v1/flows/{flowArn}/entitlements
http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/entitlementsGrants entitlements to an existing flow.
Access Token Required: API Key
Path Parameters
flowArnstringrequired
The flow that you want to grant entitlements on.
Body Params
entitlementsarrayrequired
The list of entitlements that you want to grant.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/entitlements' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}